#ifndef MED_ERREUR_HXX
#define MED_ERREUR_HXX

#include <exception>
#include <string>

struct MEDerreur : public std::exception {

  MEDerreur( const char *fichier="",
	     const unsigned int ligneNo=0,
	     const char * message="",
	     const char * arg="" );

  virtual const char* what( void ) const throw ();
  //opérateur de recopie

  virtual ~MEDerreur(void) throw() {};

protected:

  std::string _what;
};

#endif
